{% extends "base.html" %}

{% block content %}
<h3>{% if form.instance.pk %}Édition{% else %}Création{% endif %} de note de
    frais</h3>

<form action="." method="post" enctype="multipart/form-data">
  {{ formset.management_form }}
  {% csrf_token %}

  <section style="text-align: right;">
    <button type="submit">Enregistrer</button>
  </section>

  <section>
    <legend>Informations</legend>
    <table style="text-align: revert;">
      <thead>
        {% for field in form %}
        {% if not field.is_hidden %}
        <th>
          {{ field.label_tag | cut:":" }}
          {% if field.help_text %}
          <small><span data-tooltip="{{ field.help_text }}">?</span></small>
          {% endif %}
        </th>
        {% endif %}
        {% endfor %}
      </thead>
      <tbody>
        <tr>
          {% for field in form %}
          {% if not field.is_hidden %}
          <td>
            {{ field.errors }}
            {{ field }}
          </td>
          {% else %}
          {{ field }}
          {% endif %}
          {% endfor %}
        </tr>
      </tbody>
    </table>
  </section>

  <section>
    <legend>Détail des achats</legend>
    <table style="text-align: revert;">
      <thead>
        {% for field in formset.empty_form %}
        {% if not field.is_hidden %}
        <th>
          {{ field.label_tag | cut:":" }}
          {% if field.help_text %}
          <small><span data-tooltip="{{ field.help_text }}">?</span></small>
          {% endif %}
        </th>
        {% endif %}
        {% endfor %}
      </thead>
      <tbody class="entries">
        {% for form in formset %}
        <tr>
          {% for field in form %}
          {% if not field.is_hidden %}
          <td>
            {{ field.errors }}
            {{ field }}
          </td>
          {% else %}
          {{ field }}
          {% endif %}
          {% endfor %}
        </tr>
        {% endfor %}
      </tbody>
    </table>
    <button class="add-entry" type="button">Ajouter une dépense</button>
  </section>
</form>
{% endblock %}

{% block scripts %}
{{ block.super }}
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
<script type="text/html" id="expense-report-entry-template">
  <tr>
  {% for field in formset.empty_form %}
    {% if not field.is_hidden %}
    <td>
      {{ field.errors }}
      {{ field }}
    </td>
    {% else %}
    {{ field }}
    {% endif %}
  {% endfor %}
  </tr>
</script>
<script>
  $(function() {
    $('.add-entry').click(function(ev) {
      ev.preventDefault();
      var count = parseInt($('#id_entries-TOTAL_FORMS').attr('value'), 10);
      var tmplMarkup = $('#expense-report-entry-template').html();
      var compiledTmpl = tmplMarkup.replace(/__prefix__/g, count)
      $('tbody.entries').append(compiledTmpl);
      $('#id_entries-TOTAL_FORMS').attr('value', count + 1);
    });
  });
</script>
{% endblock %}
